This patch allows me to locally override what root calls itself in commits.

I do this by setting an environment variable called REMOTE_USERNAME in root's
authorized_keys file. This way multiple people can be root and it's always
well-specified who committed a change.

Currently the entire system config is checked into CVS, so that's why. It also
lifts the ban on root being able to commit things, because, well, that's
needed.

I already wrote this exact same patch at some point but I can no longer find
it, so here's the 2015 version of the same old thing.

--- call/cvs/src/commit.c.orig	2012-01-21 06:30:23.000000000 +0100
+++ call/cvs/src/commit.c	2015-02-02 14:10:57.000000000 +0100
@@ -381,7 +381,7 @@
     if (argc == -1)
 	usage (commit_usage);
 
-#ifdef CVS_BADROOT
+#if 0
     /*
      * For log purposes, do not allow "root" to commit files.  If you look
      * like root, but are really logged in as a non-root user, it's OK.
--- call/cvs/src/subr.c.orig	2012-01-21 06:30:23.000000000 +0100
+++ call/cvs/src/subr.c	2015-02-02 14:09:11.000000000 +0100
@@ -386,8 +386,8 @@
 	char *name;
 
 	/* super-user; try getlogin() to distinguish */
-	if (((name = getlogin ()) || (name = getenv("LOGNAME")) ||
-	     (name = getenv("USER"))) && *name)
+	if (((name = getenv("REMOTE_USERNAME")) || (name = getlogin ()) ||
+             (name = getenv("LOGNAME")) || (name = getenv("USER"))) && *name)
 	{
 	    cache = xstrdup (name);
 	    return cache;
